Error when installing the `openkim-models` package

Hi all,

There is an error report when I try to install the openkim-models package via Homebrew

Last login: Thu Mar 17 17:11:18 on ttys005
(base) [email protected] ~ % brew install openkim-models
fatal: Could not resolve HEAD to a revision
Warning: No available formula with the name "openkim-models".
==> Searching for similarly named formulae...
Error: No similarly named formulae found.
==> Searching for a previously deleted formula (in the last month)...
Error: No previously deleted formula found.
==> Searching taps on GitHub...
Error: No formulae found in taps.

Can’t figure out what’s wrong here.
I would appreciate somebody can help me. Thanks.

Hi,
It is supposed to be there:

This appears to be a problem with your Homebrew installation. It’s not obvious to me what the problem is, so you’ll probably need to ask for help from the Homebrew community.

Good luck,
Ryan

Thank you, Ryan! Now I have installed the openkim-models and run

source /usr/local/bin/kim-api-activate

But when I try to run

pip install --user kimpy  

then another error comes:

(base) [email protected] ~ % pip3 install --user kimpy             
Collecting kimpy
  Using cached kimpy-2.0.0.tar.gz (51 kB)
  Preparing metadata (setup.py) ... error
  error: subprocess-exited-with-error
  
  × python setup.py egg_info did not run successfully.
  │ exit code: 1
  ╰─> [27 lines of output]
      Traceback (most recent call last):
        File "/private/var/folders/8f/s4bcrbxj7v5dnjmql59hxggc0000gn/T/pip-install-tz4qv477/kimpy_458e9b045bac45579b089308a310364e/setup.py", line 32, in inquire_kim_api
          ["pkg-config", kim_api_key, "libkim-api"], universal_newlines=True
        File "/Users/yswang/anaconda3/lib/python3.7/subprocess.py", line 395, in check_output
          **kwargs).stdout
        File "/Users/yswang/anaconda3/lib/python3.7/subprocess.py", line 472, in run
          with Popen(*popenargs, **kwargs) as process:
        File "/Users/yswang/anaconda3/lib/python3.7/subprocess.py", line 775, in __init__
          restore_signals, start_new_session)
        File "/Users/yswang/anaconda3/lib/python3.7/subprocess.py", line 1522, in _execute_child
          raise child_exception_type(errno_num, err_msg, err_filename)
      FileNotFoundError: [Errno 2] No such file or directory: 'pkg-config': 'pkg-config'
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "<string>", line 36, in <module>
        File "<pip-setuptools-caller>", line 34, in <module>
        File "/private/var/folders/8f/s4bcrbxj7v5dnjmql59hxggc0000gn/T/pip-install-tz4qv477/kimpy_458e9b045bac45579b089308a310364e/setup.py", line 310, in <module>
          chech_kim_api_compatibility()
        File "/private/var/folders/8f/s4bcrbxj7v5dnjmql59hxggc0000gn/T/pip-install-tz4qv477/kimpy_458e9b045bac45579b089308a310364e/setup.py", line 293, in chech_kim_api_compatibility
          modversion = inquire_kim_api("--modversion")[0]
        File "/private/var/folders/8f/s4bcrbxj7v5dnjmql59hxggc0000gn/T/pip-install-tz4qv477/kimpy_458e9b045bac45579b089308a310364e/setup.py", line 40, in inquire_kim_api
          raise Exception(msg)
      Exception: Package "libkim-api" was not found in the search path.
      Make sure "kim-api" is installed and do not forget to "source path/to/kim-api-activate".
      See "Installing the KIM API" at https://openkim.org/kim-api for more detailed information.
      [end of output]
  
  note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

Very sad…

Hi Yangshuai,

The error message is telling you that you need to install the ‘pkg-config’ package. You should be able to get that from homebrew, as well.

Dan

Hi Dan,

Thank you so much! It has been solved perfectly!

Yangshuai